Name: dfvfs
Version: 20240505
Release: 1
Group: Development/Libraries
License: Apache License, Version 2.0
Summary: Digital Forensics Virtual File System (dfVFS).
Url: https://github.com/log2timeline/dfvfs
Vendor: Log2Timeline maintainers
Source0: %{name}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python3-devel, pyproject-rpm-macros, python3-pip, python3-setuptools, python3-wheel

%{?python_disable_dependency_generator}

%description
dfVFS, or Digital Forensics Virtual File System, provides read-only access to file-system objects from various storage media types and file formats. The goal of dfVFS is to provide a generic interface for accessing file-system objects, for which it uses several back-ends that provide the actual implementation of the various storage media types, volume systems and file systems.

%package -n python3-%{name}
Requires: libbde-python3 >= 20220121, libcaes-python3 >= 20240114, libewf-python3 >= 20131210, libfcrypto-python3 >= 20240114, libfsapfs-python3 >= 20220709, libfsext-python3 >= 20220829, libfsfat-python3 >= 20220925, libfshfs-python3 >= 20220831, libfsntfs-python3 >= 20211229, libfsxfs-python3 >= 20220829, libfvde-python3 >= 20220121, libfwnt-python3 >= 20210717, libluksde-python3 >= 20220121, libmodi-python3 >= 20210405, libphdi-python3 >= 20220228, libqcow-python3 >= 20201213, libsigscan-python3 >= 20230109, libsmdev-python3 >= 20140529, libsmraw-python3 >= 20140612, libvhdi-python3 >= 20201014, libvmdk-python3 >= 20140421, libvsapm-python3 >= 20230506, libvsgpt-python3 >= 20211115, libvshadow-python3 >= 20160109, libvslvm-python3 >= 20160109, python3-dfdatetime >= 20221112, python3-dtfabric >= 20230518, python3-idna >= 2.5, python3-pytsk3 >= 20210419, python3-pyyaml >= 3.10, python3-xattr >= 0.7.2
Summary: Python 3 module of Digital Forensics Virtual File System (dfVFS).

%description -n python3-%{name}
dfVFS, or Digital Forensics Virtual File System, provides read-only access to file-system objects from various storage media types and file formats. The goal of dfVFS is to provide a generic interface for accessing file-system objects, for which it uses several back-ends that provide the actual implementation of the various storage media types, volume systems and file systems.

%generate_buildrequires
%pyproject_buildrequires -R

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/dfvfs
%{python3_sitelib}/dfvfs*.dist-info

%changelog
* Sat May 18 2024 log2timeline development team <log2timeline-dev@googlegroups.com> 20240505-1
- Auto-generated
